## org.eclipse.emf.ecore.util
Class EcoreEMap.DelegateEObjectContainmentEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<E>
                      org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>
                          org.eclipse.emf.ecore.util.NotifyingInternalEListImpl<E>
                              org.eclipse.emf.ecore.util.EcoreEList<E>
                                  org.eclipse.emf.ecore.util.EObjectEList<E>
                                      org.eclipse.emf.ecore.util.EObjectContainmentEList<E>
                                          org.eclipse.emf.ecore.util.EcoreEMap.DelegateEObjectContainmentEList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, NotifyingList<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Direct Known Subclasses:
  EcoreEMap.Unsettable.UnsettableDelegateEObjectContainmentEList

Enclosing class:
  EcoreEMap<K,V>

    protected class EcoreEMap.DelegateEObjectContainmentEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>

extends EObjectContainmentEList<E>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectContainmentEList
`EObjectContainmentEList.Resolving<E>, EObjectContainmentEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList
`EcoreEList.Dynamic<E>, EcoreEList.Generic<E>, EcoreEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EObjectEList
`featureID`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList
`dataClass, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EcoreEMap.DelegateEObjectContainmentEList(java.lang.Class<?> entryClass, InternalEObject owner, int featureID)`

Method Summary
`protected void` `didAdd(int index, E newObject)` Called to indicate that an object has been added to the data storage.
`protected void` `didClear(int size, java.lang.Object[] oldObjects)` Called to indicate that the data storage has been cleared.
`protected void` `didMove(int index, E movedObject, int oldIndex)` Called to indicate that an object has been moved in the data storage.
`protected void` `didRemove(int index, E oldObject)` Called to indicate that an object has been removed from the data storage.
`protected void` `didSet(int index, E newObject, E oldObject)` Called to indicate that the data storage has been set.

Methods inherited from class org.eclipse.emf.ecore.util.EObjectContainmentEList
`hasInverse, hasNavigableInverse, isContainment`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectEList
`canContainNull, getFeatureID, isEObject, isUnique, resolve, useEquals`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList

`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasManyInverse, hasProxies, indexOf, inverseAdd, inverseRemove, isInstance, isNotificationRequired, isSet, lastIndexOf, newData, resolve, resolve, resolveProxy, set, toArray, toArray, unset, validate`

Methods inherited from class org.eclipse.emf.ecore.util.NotifyingInternalEListImpl
`basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`assign, basicGet, clone, data, get, grow, isEmpty, primitiveGet, setData, shrink, size`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, didChange, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, iterator, listIterator, listIterator, move, remove, retainAll, set, toString`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList`

Constructor Detail

### EcoreEMap.DelegateEObjectContainmentEList

    public EcoreEMap.DelegateEObjectContainmentEList(java.lang.Class<?> entryClass,
                                                     InternalEObject owner,
                                                     int featureID)

Method Detail

### didAdd

    protected void didAdd(int index,
                          E newObject)

  Description copied from class: `AbstractEList`
  Called to indicate that an object has been added to the data storage. This implementation does nothing; clients can use this to monitor additions to the data storage.

  Overrides:
    `didAdd` in class `AbstractEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>`
  Parameters:
    `index` - the position object the new object.
    `newObject` - the new object at the position.

### didSet

    protected void didSet(int index,
                          E newObject,
                          E oldObject)

  Description copied from class: `AbstractEList`
  Called to indicate that the data storage has been set. This implementation does nothing; clients can use this to monitor settings to the data storage.

  Overrides:
    `didSet` in class `AbstractEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>`
  Parameters:
    `index` - the position that was set.
    `newObject` - the new object at the position.
    `oldObject` - the old object at the position.

### didRemove

    protected void didRemove(int index,
                             E oldObject)

  Description copied from class: `AbstractEList`
  Called to indicate that an object has been removed from the data storage. This implementation does nothing; clients can use this to monitor removals from the data storage.

  Overrides:
    `didRemove` in class `AbstractEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>`
  Parameters:
    `index` - the position of the old object.
    `oldObject` - the old object at the position.

### didClear

    protected void didClear(int size,
                            java.lang.Object[] oldObjects)

  Description copied from class: `AbstractEList`
  Called to indicate that the data storage has been cleared. This implementation calls `didRemove` for each object; clients can use this to monitor clearing of the data storage.

  Overrides:
    `didClear` in class `AbstractEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>`
  Parameters:
    `size` - the original size of the list.
    `oldObjects` - the old data storage being discarded.
  See Also:
    `AbstractEList.didRemove(int, E)`

### didMove

    protected void didMove(int index,
                           E movedObject,
                           int oldIndex)

  Description copied from class: `AbstractEList`
  Called to indicate that an object has been moved in the data storage. This implementation does nothing; clients can use this to monitor movement in the data storage.

  Overrides:
    `didMove` in class `AbstractEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>`
  Parameters:
    `index` - the position of the moved object.
    `movedObject` - the moved object at the position.
    `oldIndex` - the position the object was at before the move.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.